commit b3b430ed99729d9191bd6bc78f3537d30d1882ad
Author: Jonathan Wakely <jwakely@redhat.com>
Date:   Wed Nov 13 16:37:24 2024 +0000

    libstdc++: Use __is_single_threaded() in performance tests
    
    With recent glibc releases the __gthread_active_p() function is always
    true, so we always append "-thread" onto performance benchmark names.
    
    Use the __gnu_cxx::__is_single_threaded() function instead.
    
    libstdc++-v3/ChangeLog:
    
            * testsuite/util/testsuite_performance.h: Use
            __gnu_cxx::__is_single_threaded instead of __gthread_active_p().
    
    (cherry picked from commit 2b92007016ce8de3fc0a8c4508a789b822ea8e6b)

diff --git a/libstdc++-v3/testsuite/util/testsuite_performance.h b/libstdc++-v3/testsuite/util/testsuite_performance.h
index 5d57dbd7d63..4fd95b7e22a 100644
--- a/libstdc++-v3/testsuite/util/testsuite_performance.h
+++ b/libstdc++-v3/testsuite/util/testsuite_performance.h
@@ -33,6 +33,7 @@
 #include <stdexcept>
 #include <sstream>
 #include <cxxabi.h>
+#include <ext/atomicity.h>
 #include <testsuite_common_types.h>
 
 #if defined (__linux__) || defined (__GLIBC__)
@@ -223,10 +224,8 @@ namespace __gnu_test
 
     std::ofstream out(name, std::ios_base::app);
 
-#ifdef __GTHREADS
-    if (__gthread_active_p())
+    if (!__gnu_cxx::__is_single_threaded())
       testname.append("-thread");
-#endif
 
     out.setf(std::ios_base::left);
     out << std::setw(25) << testname << tab;
@@ -253,10 +252,8 @@ namespace __gnu_test
 
     std::ofstream out(name, std::ios_base::app);
 
-#ifdef __GTHREADS
-    if (__gthread_active_p ())
+    if (!__gnu_cxx::__is_single_threaded ())
       testname.append("-thread");
-#endif
 
     out.setf(std::ios_base::left);
     out << std::setw(25) << testname << tab;

